Overview

The first of seven Prevent training components is available as an e-learning module. It is intended for any staff or other member of an institution who needs to understand the nature of the Prevent statutory duty as it affects higher education

  • Learn Online

    The e-learning module supports browsers back to Microsoft Internet Explorer Version 8. It also provides limited support for Internet Explorer 7 (some minor functionality isn’t available due to technical restrictions).

    Unfortunately it does not support Internet Explorer 6 or older browsers. The e-learning will work very well on almost every smartphone, tablet and mobile browser.